Bug 7552 - Remove wrong line endings in NORMARC record.abs
Summary: Remove wrong line endings in NORMARC record.abs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Magnus Enger
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7537
  Show dependency treegraph
 
Reported: 2012-02-17 13:59 UTC by Magnus Enger
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7552 - Remove wrong line endings in NORMARC record.abs (27.55 KB, patch)
2012-02-17 14:10 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 7552 - Remove wrong line endings in NORMARC record.abs (27.52 KB, patch)
2012-02-17 14:28 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 7552 - Remove wrong line endings in NORMARC record.abs (27.63 KB, patch)
2012-02-19 07:03 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-02-17 13:59:43 UTC
As can be seen here, record.abs for NORMARC contains wrong line-endings: 
http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=etc/zebradb/marc_defs/normarc/biblios/record.abs;h=5f6ede79f971c480f4527c8e807933abe1c435c6;hb=HEAD

This does not seem to have affected the indexing, since several libraries have been using this file in production for years. But it seems to be causing problems for the fix to bug 7537, so I better fix it!
Comment 1 Magnus Enger 2012-02-17 14:10:49 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2012-02-17 14:28:21 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2012-02-19 07:03:56 UTC
Created attachment 7753 [details] [review]
Bug 7552 - Remove wrong line endings in NORMARC record.abs

Line endings contain erroneous \r 's.

Also remove a useless comment at the top of the file.

This patch was produced by doing the following operations:

git config --global core.autocrlf true
git rm --cached -r etc/zebradb/marc_defs/normarc/biblios/record.abs
git diff --cached --name-only -z | xargs -0 git add

as recommended here:
http://help.github.com/line-endings/

First version of this file resulted in whitespaceerrors. Trying to fix that now.

To test:

- Open etc/zebradb/marc_defs/normarc/biblios/record.abs in a file editor
  that will let you search for \r - gedit seems to work nicely for this.
  Check that there are occurences of \r in the file
- Apply the patch
- Open etc/zebradb/marc_defs/normarc/biblios/record.abs in the editor and
  check that it can not find any \r

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Still a few \r

But only on comments, safe to push
Comment 4 Paul Poulain 2012-02-21 16:37:20 UTC
QA comment: none, magnus will endorse responsibility for any mistake ;-)
Comment 5 Magnus Enger 2012-03-23 10:48:09 UTC
Looks good in current master.